: Copyright 1987 Intel Corp.
# "@(#) blogin.E $State: XENIX_R3-5 $ $Date: 87/06/18 08:43:32 $"
# Author:  Ed Reeder, Intel Corporation
# 03/17/87 Ed Reeder
#	Put in wording for 386 processors
# 06/17/87 Ed Reeder
#	Allow for 386 upgrades to 310 systems
#
. /tmp/blog.$IPID	# get environment variables
SCPCURRENT=/usr/intel/scp/configurations/current

# Reset instructions cannot be determined by processor alone.  If the user
# has used scp to configure the system, use that info
TYPE=""
if [ -s $SCPCURRENT ] ; then
   ORIGIFS=$IFS
   IFS=,
   set `egrep '^SYSTYPE' $SCPCURRENT 2>/dev/null`
   IFS=$ORIGIFS
   case $2 in
      AP|310) TYPE=286 ;;
      320)    TYPE=386 ;;
   esac
fi
TYPE=${TYPE:=`gs -p`}	# use processor type as a last resort

echo "
The last step before shutting the system all the way down will be to 'clean'
the various file systems on this node.  This ensures a correct Entire-Disk
backup.

After the file systems have been cleaned you will see a \"** Normal System
Shutdown **\" message.  This indicates that it is time to perform the
Entire-Disk operations using the iBR Standalone Utility.  This utility is
contained on a separate diskette.  To bring up the utility:\c"

# Put specific instructions out for 286 or 386 based processors
case $TYPE in
   286) echo "

  1. Press the (R)eset button on the front panel.
  2. When the * appears on the console terminal press the capital letter U.
  3. When asked to Enter \".\" or <cr>, press the period key.
  4. After the system self-tests, when you enter the debug monitor and receive
     the \".\" prompt, insert the diskette labeled \"iBR STANDALONE UTILITY\"
     into the diskette drive slot.
  5. Enter the following command to bring up the utility:
         b :wf0:    (NOTE: The 0 is a numeric 0, not a capital letter O)
     If you make a typing error on the \"b :wf0:\" command you use the DEL key,
     not the backspace to correct it. 
  6. When you have completed your use of the utility you will need to make the
     system available to the rest of the users.  Do this by the normal \"boot\"
     procedure which is initiated by pressing the (R)eset button.\n"
   ;;
   *) echo "

  1. Turn the key on the front panel to \"reset\" and then to \"unlock\".
  2. When a series of \"x\"s appear on the console press the capital letter U.
  3. After the system self-tests, when asked to \"Break to DMON-386 monitor\",
     press n.
  4. When asked to \"Break to iSDM monitor\" press y.
  5. After you enter the iSDM monitor and receive the \".\" prompt, insert the
     diskette labeled \"iBR STANDALONE UTILITY\" into the diskette drive slot.
  6. Enter the following command to bring up the utility:
         b :wf0:    (NOTE: The 0 is a numeric 0, not a capital letter O)
  7. When you have completed your use of the utility you will need to make the
     system available to the rest of the users.  Do this by the normal \"boot\"
     procedure which is initiated by turning the front panel key to \"reset\".\n"
   ;;
esac

echo "Write these instructions down, then press RETURN to continue. \c"
read resp
exit 0
