
/*
 * "@(#) assert $State: XENIX_R3-5 $ $Date: 86/05/30 13:08:56 $"
 */

/*
 *	@(#) h/assert.h 1.2 84/05/07 Copyright Microsoft Corporation, 1983
 */




/*
 * THIS FILE CONTAINS CODE WHICH IS DESIGNED TO BE
 * PORTABLE BETWEEN DIFFERENT MACHINE ARCHITECTURES
 * AND CONFIGURATIONS. IT SHOULD NOT REQUIRE ANY
 * MODIFICATIONS WHEN ADAPTING XENIX TO NEW HARDWARE.
 */



#ifdef DEBUG
static char Asrtstr[] = "Invalid assertion line %d of %s :%s\n";

#define	ASSERT(condition)	{if (!(condition)) {\
		printf(Asrtstr, __LINE__, __FILE__, " condition ");\
		debug(0);\
	}\
}
#else
#define	ASSERT(condition)	
#endif
