
/*
 * "@(#) ar $State: XENIX_R3-5 $ $Date: 86/05/30 13:51:00 $"
 */

/*
 *	%Z% %M% %I% %D% %Q%
 *
 *	Copyright (C) Microsoft Corporation, 1983
 *
 *	This Module contains Proprietary Information of Microsoft
 *	Corporation and AT&T, and should be treated as Confidential.
 */
/***	ar.h
 *
 *	MODIFICATION HISTORY
 *	M000	28 Jan 83	andyp
 *	- Changed 'mode' from 'int' to 'short'.
 *	M001	14 Apr 83	andyp
 *	- 3.0 upgrade.  Picked up from XENIX, unchanged.
 *	M002	7 May 83	vwh
 *	- added macros and padding for vax support.
 */

#ifdef M_VAX
#  define ARBASE(arp)	((arp)->ar_name)
#  define ARHSIZE	(sizeof(struct ar_hdr) - ARHPAD)
#  define ARHPAD	2
#else
#  define ARBASE(arp)	arp
#  define ARHSIZE	sizeof(struct ar_hdr)
#endif

#define	ARMAG	0177545
struct ar_hdr {
#ifdef M_VAX
	char	ar_pad[ARHPAD];
#endif
	char	ar_name[14];
	long	ar_date;
	char	ar_uid;
	char	ar_gid;
	short	ar_mode;		/* M000 */
	long	ar_size;
};
