
/*
 * "@(#) dbm $State: XENIX_R3-5 $ $Date: 86/05/30 13:51:48 $"
 */

/*
 *	%Z% %M% %I% %D% %Q%
 *
 *	Copyright (C) Microsoft Corporation, 1983
 *
 *	This Module contains Proprietary Information of Microsoft
 *	Corporation and AT&T, and should be treated as Confidential.
 */
/*
 *	dbm.h - declarations for the data base management package.
 *
 *	MODIFICATION HISTORY
 *	M000	22 Jun 83	vwh
 *	- Moved variable declarations from dbm.h to dbm.c (this file)
 *	and made them static!  `pagbuf' and `dirbuf' were declared
 *	in dbm.h and in other modules attempting to use the dbm routines.
 *	Made routines not documented in dbm(3) static.
 */

typedef	struct {
	char	*dptr;
	int	dsize;
} datum;

int	dbminit();
int	delete();
int	store();
datum	fetch();
datum	firstkey();
datum	nextkey();
