/*
 * utime.h
 *
 * defines the structure used by the utime routine to return file access and
 * modification times.  NOTE - MS-DOS 2.0 does not recognize access time, so
 * this field will always set to the modification time.
 *
 * Copyright (C) Microsoft Corporation, 1984
 */

struct utimbuf {
	time_t actime;		/* access time */
	time_t modtime;		/* modification time */
	};
