/*
 *	control sequences for Silver Reed EXP 550
 *	
 *      Copyright 1985, Intel Corporation.
 *
 *	exp550ctl.c
 *
 *	written by Ralph Sydnor for Intel		08/08/85
 */


static char exp550ctl_version[] ="@(#) exp550ctl $State: XENIX_R3-5 $ $Date: 86/05/30 08:42:44 $";
#include "ilpf.h"

struct escseq esctab[] = {
	0,2,2,0,0,"\33\71"	,"\33\71",	/* set left margin */
	0,2,0,0,0,"\33\60"	,"",		/* set right margin */
	0,2,2,0,0,"\33\61"	,"\33\70",	/* set horizontal tab */
	0,3,0,0x1,0x7e,"\33\13\33","",		/* absolute vertical tab */
	0,2,0,0,0,"\33\62"	,"",		/* clear all tabs */
	0,3,2,0x2,0x7e,"\33\37\33","\33S",	/* spacing pitch */
	0,3,0,0x0,0x7e,"\33\11\33","",		/* absolute horizontal tab */
	0,2,2,0,0,"\33\66"	,"\33\65",	/* backward printing */
	0,3,3,0x1,0x7e,"\33\36\33","\33\36\10",	/* line feed spacing */
        0,2,2,0,0,"\33\63"	  ,"\33\64",	/* graphics mode on */
        0,2,2,0,9,"\33\12"	  ,"\33\U",     /* negative half line feed */
	0,2,0,0,0,"\33\D"	,"\33\U",	/* negative line feed */
	0,3,0,0,0,"\33\15P"	,"",		/* initial remote reset */
	0,2,0,0,0,"\33Y"	,"",		/* print 0x20 and 0x7f */
	0,2,0,0,0,"\33Z"	,"",		/* print 0x20 and 0x7f */
	TABEND,1,1,0,0,"0","0" };

unsigned char 	escs[] = "\33 ";

char	cntlcd[] = "\7\013\023";
/**	\7,			audible alarm
	\013,			vertical tab
	\023,			stop printing	**/
