/*
 *	Header file for linerinter filter
 *	It defines the structure for control sequences
 *
 *	"@(#) ilpf.h $State: XENIX_R3-5 $ $Date: 86/05/30 08:44:41 $";
 *
 *	ilpf.h
 *
 *	Written by Wilfried Schneider for XENIX286	12/12/83
 *
 *	Modified by David Callahan for SMS		05/01/85
 *
 *	modifications include:
 *		adding onlen and offlen to escseq struct
 */

#define ESC '\033'
#define ON 1
#define TABEND 0xffff

struct escseq {
	int		flag;	/**  indicates if cntl is on or off   **/
	int		onlen;	/**  length of on cntl seqquence      **/
	int		offlen;	/**  length of off cntl sequence      **/
	unsigned char	lower;	/**  lower bound of range      **/
	unsigned char	upper;	/**  upper bound of range	     **/
	char		*on;	/**  string containing on cntl seq.   **/
	char		*off;	/**  string containing off cntl seq.  **/
};
