/*
 * ECC configuration file. 
 *
 * "@(#) cecc $State: XENIX_R3-5 $ $Date: 86/05/30 13:23:11 $";
 * Initialize ECC hardware via a table defined below .
 * One entry per ECC port.
 * End of table is indicated by an entry with all zeros.
 *
 */

#include "../h/param.h"
#include "../h/ecc.h"

extern	int	cx_eproc();
extern	int	cx_iproc();

struct ecc ecc_boards[] = {
/*	port	type	count	err proc	init proc */
	0x1C0,	CX_TYPE,0,	cx_eproc,	cx_iproc,
	0x1C1,	CX_TYPE,0,	cx_eproc,	cx_iproc,
	0,	0,	0,	0,		0 };

unsigned	ecc_threshold = 0xFF;	/* tunable */
