
/*
 * "@(#) i8254 $State: XENIX_R3-5 $ $Date: 86/05/30 13:09:05 $"
 */

/*
 *	@(#) mdep/i8254.h 1.1 84/05/07 Copyright Microsoft Corporation, 1983
 *
 *	This Module contains Proprietary Information of Microsoft
 *	Corporation and AT&T, and should be treated as Confidential.
 */

/*
 * THIS FILE CONTAINS CODE SPECIFIC TO THE INTEL 86/330
 * COMPUTER. IT MAY REQUIRE MODIFICATION WHEN MOVING
 * XENIX TO DIFFERENT MACHINE ARCHITECTURES OR CONFIGURATIONS.
 */



/*
 * i8254.h
 *	Definitions for 18/12A on-board 8254 (timer).
 *
 * See 86/12A reference manual or 8086 Family User's Manual for details.
 */

#define	PIT_CTR0_PORT	0xD0		/* PIT counter 0 port */	
#define	PIT_CTR1_PORT	0xD2		/* PIT counter 1 port */	
#define	PIT_CTR2_PORT	0xD4		/* PIT counter 2 port */	
#define	PIT_CTRL_PORT	0xD6		/* PIT control port */

/*
 * Control commands for 8254
 */

#define PIT_S0          0x00            /* select timer 0 */
#define PIT_S1          0x40            /* select timer 1 */
#define PIT_S2          0x80            /* select timer 2 */
#define	PIT_CNTR_LATCH	0x00		/* counter latch operation */
#define	PIT_READ_LOAD	0x30		/* read/load least signf/most signf */
#define	PIT_SQWAVE_MODE	0x06		/* square-wave mode */
#define	PIT_RATE_MODE	0x06		/* square-wave mode for USART */
#define	PIT_ONE_SHOT	0x00		/* one-shot mode */
