
/*
 * "@(#) var $State: XENIX_R3-5 $ $Date: 86/05/30 13:08:26 $"
 */

/*
 *	@(#) h/var.h 1.4 84/05/07 Copyright Microsoft Corporation, 1983
 *
 *	Copyright (C) Microsoft Corporation, 1983
 *
 *	This Module contains Proprietary Information of Microsoft
 *	Corporation and AT&T, and should be treated as Confidential.
 */
/*
 *	@(#) h/var.h 1.4 84/05/07 Copyright Microsoft Corporation, 1983
 */




/*
 * THIS FILE CONTAINS CODE WHICH IS DESIGNED TO BE
 * PORTABLE BETWEEN DIFFERENT MACHINE ARCHITECTURES
 * AND CONFIGURATIONS. IT SHOULD NOT REQUIRE ANY
 * MODIFICATIONS WHEN ADAPTING XENIX TO NEW HARDWARE.
 */



struct var {
	int v_buf;              /* NBUF			*/
	int v_sabuf;            /* NSABUF               */
	int v_hbuf;             /* NHBUF                */
	int v_hmask;            /* NHBUF-1              */
	int v_maxbuf;		/* MAXBUF		*/
	int v_call;             /* NCALL		*/
	int v_inode;            /* NINODE		*/
	struct inode *ve_inode; /*   &inode[NINODE]	*/
	int v_file;             /* NFILE		*/
	struct file *ve_file;   /*   &file[NFILE]  	*/
	int v_mount;            /* NMOUNT		*/
	struct mount *ve_mount; /*   &mount[NMOUNT]	*/
	int v_proc;             /* NPROC		*/
	struct proc *ve_proc;   /*   &proc[NPROC]	*/
	int v_text;             /* NTEXT		*/
	struct text *ve_text;   /*   &text[NTEXT]	*/
	int v_clist;            /* NCLIST		*/
	int v_maxup;            /* MAXUPRC		*/
	int v_maxmem;           /* MAXMEM		*/
	int v_lock;             /* NFLOCKS		*/
	int v_sdata;            /* NSDSEGS		*/
};
extern struct var v;
