
/*
 * "@(#) ctype $State: XENIX_R3-5 $ $Date: 86/05/30 13:51:27 $"
 */

/*
 *	%Z% %M% %I% %D% %Q%
 *
 *	Copyright (C) Microsoft Corporation, 1983
 *
 *	This Module contains Proprietary Information of Microsoft
 *	Corporation and AT&T, and should be treated as Confidential.
 */
/***	ctype.h
 *
 *	In order to get non-macro versions of toupper() and tolower(),	M000
 *	do a #undef.  Non-macro versions are supplied in libc.		M000
 *
 *	MODIFICATION HISTORY
 *	M000	14 Apr 83	andyp
 *	- 3.0 upgrade.  (mostly uncommented).  3.0 source.  Added
 *	  toupper() and tolower().
 */

#define	_U	01
#define	_L	02
#define	_N	04
#define	_S	010
#define	_P	020
#define	_C	040
#define	_B	0100
#define	_X	0200

extern	char	_ctype[];

#define	isalpha(c)	((_ctype+1)[c]&(_U|_L))
#define	isupper(c)	((_ctype+1)[c]&_U)
#define	islower(c)	((_ctype+1)[c]&_L)
#define	isdigit(c)	((_ctype+1)[c]&_N)
#define	isxdigit(c)	((_ctype+1)[c]&_X)
#define	isspace(c)	((_ctype+1)[c]&_S)
#define	ispunct(c)	((_ctype+1)[c]&_P)
#define	isalnum(c)	((_ctype+1)[c]&(_U|_L|_N))
#define	isprint(c)	((_ctype+1)[c]&(_P|_U|_L|_N|_B))
#define	isgraph(c)	((_ctype+1)[c]&(_P|_U|_L|_N))
#define	iscntrl(c)	((_ctype+1)[c]&_C)
#define	isascii(c)	((unsigned)(c)<=0177)
#define	_toupper(c)	((c)-'a'+'A')
#define	_tolower(c)	((c)-'A'+'a')
#define	toupper(c)	(islower(c) ? _toupper(c) : (c))	/* M000 */
#define	tolower(c)	(isupper(c) ? _tolower(c) : (c))	/* M000 */
#define	toascii(c)	((c)&0177)
