/***
**
** "@(#) dsa $State: XENIX_R3-5 $ $Date: 87/02/12 17:07:16 $"
**  h/nfs/dsa.h	 Copyright Microsoft Corporation 1984 All Rights Reserved
**
**  AUTHORS:
**     Bob Rinne
**     Ken Masden
**
**  Intel Corporation
**  ISO-S
**  2402 W. Beardsley Road
**  Phoenix, Arizona  85027
**
*/
/* -------------------------------------------------- */

/*
*  Macros used for creating and determining a remote inode for
*  the Network file consumer.
*/

#define REMOTE(IP)  ((IP)->i_mode&IFMT)==IFNAM && ((IP)->i_fdep.i_namef.i_type == IFREM)
#define NOTREM(IP)  ((IP)->i_mode&IFMT)!=IFNAM || ((IP)->i_fdep.i_namef.i_type != IFREM)
#define TYPEREM(IP) (IP)->i_mode = IFNAM; (IP)->i_fdep.i_namef.i_type = IFREM
#define NFC_NSYS  1

/* PAGE/* -------------------------------------------------- */

/* 
*  Network file consumer routines
*/

extern int nfc_sup ();
extern int nfc_init ();
extern struct inode *nfc_namei ();
extern int nfc_access ();
extern int nfc_read ();
extern int nfc_write ();
extern int nfc_exec ();
extern int nfc_eend ();
extern int nfc_close ();
extern int nfc_copen ();
extern int nfc_ioctl ();
extern int nfc_rdchk ();
extern int nfc_chdirec ();
extern int nfc_chsize ();
extern int nfc_exit ();
extern int nfc_fork ();
extern int nfc_link ();
extern int nfc_locking ();
extern int nfc_mknod ();
extern int nfc_mount ();
extern int nfc_sumount ();
extern struct inode *nfc_owner ();
extern int nfc_setattr ();
extern int nfc_stat ();
extern int nfc_sync ();
extern int nfc_utime ();
extern int nfc_unlink ();
extern int nfc_seek ();
/*
*  Definitions for level of network name translation
*/
extern	int nfs1;   /* dsa */
extern	int nfs2;   /* dsa */
