
/*
 * "@(#) reg $State: XENIX_R3-5 $ $Date: 86/05/30 13:05:27 $"
 */

/*
 *	@(#) h/reg.h 1.4 84/05/07 Copyright Microsoft Corporation, 1983
 *
 *	Copyright (C) Microsoft Corporation, 1983
 *
 *	This Module contains Proprietary Information of Microsoft
 *	Corporation and AT&T, and should be treated as Confidential.
 */

/*
 * THIS FILE CONTAINS CODE WHICH IS SPECIFIC TO THE
 * INTEL 80286 CPU AND MAY REQUIRE MODIFICATION
 * WHEN ADAPTING XENIX TO NEW HARDWARE.
 */


/*
 * PLB	3-11-83
 * Index of the users' stored
 * registers relative to AX.
 * Usage is u.u_ar0[XX].
 * EVERYTHING HERE IS DEPENDENT ON trap: in mch.s and trap.c
 * AND THE HARDWARE
 */

/*
 * users regs on kernel stack
 */
#define	RSS	7		/* user ss */
#define	RSP	6		/* user sp */
#define USP	6
#define	RFL	5
#define	RCS	4
#define	RIP	3
#define	Rviol	2
#define	RES	1
#define	RAX	0
#define	RCX	-1
#define	RDX	-2
#define	RBX	-3
#define	RKSP	-4		/* NOT sp to user's stack */
#define	RBP	-5
#define	RSI	-6
#define	RDI	-7
#define	RDS	-8


#define CBIT    0x001           /* 8086 'C' bit in flags     */
#define ZBIT    0x040           /* 8086 'Z' bit in flags     */
#define TBIT    0x100           /* 8086 trace bit in 'flags' */
#define IBIT    0x200           /* 8086 interrupt enable bit */
#define OBIT    0x800           /* 8086 overflow bit in 'flags' */
