
/*
 * "@(#) text $State: XENIX_R3-5 $ $Date: 86/05/30 13:06:51 $"
 */

/*
 *	@(#) h/text.h 1.3 84/05/07 Copyright Microsoft Corporation, 1983
 *
 *	Copyright (C) Microsoft Corporation, 1983
 *
 *	This Module contains Proprietary Information of Microsoft
 *	Corporation and AT&T, and should be treated as Confidential.
 */

/*
 * THIS FILE CONTAINS CODE WHICH IS SPECIFIC TO THE
 * INTEL 80286 CPU AND MAY REQUIRE MODIFICATION
 * WHEN ADAPTING XENIX TO NEW HARDWARE.
 */

/* Modification History:
 *	rajiv	I000	01/03/85
 *		- DSA Update 1 changes. Word Alignment of fields.
 */


/*
 * Text structure.
 * One allocated per pure procedure on swap device.
 * Manipulated by text.c
 */
struct text
{
	unsigned short	x_daddr;	/* disk address of 1st text seg */ 
	msize_t		x_size;		/* size (pages) */
	mloc_t  	x_caddr;        /* core address of text ldt (page #) */
	struct inode 	*x_iptr;	/* inode of prototype */
	char		x_count;	/* reference count */
	char		x_ccount;	/* number of loaded references */
	char		x_flag;		/* traced, written flags */
	char		x_res;		/* I000. Reserved filed to word align
					 * NFS */
	unsigned short	x_fcsel;	/* first code selector */
	unsigned short	x_lsize;	/* size of the text ldt in bytes */
};

extern struct text text[];

#define	XTRC	01		/* Text may be written, exclusive use */
#define	XWRIT	02		/* Text written into, must swap out */
#define	XLOAD	04		/* Currently being read from file */
#define	XLOCK	010		/* Being swapped in or out */
#define	XWANT	020		/* Wanted for swapping */
#define XFPU    0100            /* text uses floating point */
#define XLARGE	0200		/* large text */
