
/*
 * "@(#) ttold $State: XENIX_R3-5 $ $Date: 86/06/03 06:20:32 $"
 */

/*
 *	@(#) h/ttold.h 1.2 84/05/07 Copyright Microsoft Corporation, 1983
 *
 *	Copyright (C) Microsoft Corporation, 1983
 *
 *	This Module contains Proprietary Information of Microsoft
 *	Corporation and AT&T, and should be treated as Confidential.
 */
/*
 *	@(#) h/ttold.h 1.2 84/05/07 Copyright Microsoft Corporation, 1983
 */




/*
 * THIS FILE CONTAINS CODE WHICH IS DESIGNED TO BE
 * PORTABLE BETWEEN DIFFERENT MACHINE ARCHITECTURES
 * AND CONFIGURATIONS. IT SHOULD NOT REQUIRE ANY
 * MODIFICATIONS WHEN ADAPTING XENIX TO NEW HARDWARE.
 */



/*
 * Structure for stty and gtty system calls.
 */
struct sgttyb	{
	char	sg_ispeed;
	char	sg_ospeed;
	char	sg_erase;
	char	sg_kill;
	short	sg_flags;
};

/*
 * List of special characters
 */
struct tc	{
	char	t_intrc;
	char	t_quitc;
	char	t_startc;
	char	t_stopc;
	char	t_eofc;
	char	t_brkc;
};

/* modes */
#define	O_TANDEM	01
#define	O_CBREAK	02
#define	O_LCASE		04
#define	O_ECHO		010
#define	O_CRMOD		020
#define	O_RAW		040
#define	O_ODDP		0100
#define	O_EVENP		0200
#define O_ANYP		0300
#define	O_NLDELAY	001400
#define	O_NL1		000400
#define	O_NL2		001000
#define	O_TBDELAY	005000
#define	O_TAB1		001000
#define	O_TAB2		004000
#define	O_XTABS		006000
/***#define	O_NOAL	004000***/
#define	O_CRDELAY	030000
#define	O_CR1		010000
#define	O_CR2		020000
#define	O_VTDELAY	040000
#define	O_BSDELAY	0100000
