#
# Copyright (C) Microsoft Corporation 1984
#
# Example .cshrc file for demonstration C-Shell account.
# Commands here are executed each time csh starts up.
#
# static char mkuser_cshrc_version[] ="@(#) mkuser.chshrc $State: XENIX_R3-5 $ $Date: 86/05/30 00:02:54 $";

set ignoreeof				# don't let control-d logout
set noclobber				# don't allow '>' to overwrite
set LOGNAME=`logname`			# get login name for mail boxes
set history=20				# save last 20 commands
set path=(. $home/bin /bin /usr/bin)	# execution search path
set cdpath=(.)				# directory search path for cd
alias v vi				# quick command alias
alias print 'pr -n \!:* | lpr'		# print command alias
set mail=(30 /usr/spool/mail/$LOGNAME)	# mailbox location for csh
setenv MAIL /usr/spool/mail/$LOGNAME	# mailbox location for environment
