/*
 *	control sequences for f10-40/55 series
 *	
 *	ci1055ctl.c
 *
 *      Copyright 1985, Intel Corporation.
 *
 *	written by David Callahan for Intel		05/13/85
 */



static char ci1055ctl_version[] ="@(#) ci1055ctl $State: XENIX_R3-5 $ $Date: 86/05/30 08:44:09 $";

#include "ilpf.h"

struct escseq esctab[] = {
	0,2,2,0,0,"\33D"	,"\33U",	/* half line feed down */
	0,2,2,0,0,"\33U"	,"\33D",	/* half line feed */
	0,2,0,0,0,"\33\12"	,"",		/* 1 line feed down */
	0,2,0,0,0,"\33\40"	,"",		/* see manual */
	0,2,0,0,0,"\33\57"	,"",		/* see manual */
	0,2,2,0,0,"\33\61"	,"\33\62",	/* horzontal tab */
	0,2,0,0,0,"\33\71"	,"",		/* set left margin */
	0,4,4,0x30,0x39,"\33L\33\33","\33L08",	/* line feed spacing pitch */
	0,3,3,0x1,0x9f,"\33\36\33","\33\36\10",	/* line feed spacing pitch */
	0,4,4,0x30,0x39,"\33E\33\33","\33E12",	/* horizontal spacing pitch */
	0,3,3,0x1,0x7a,"\33\37\33","\33\37\14",	/* horizontal spacing pitch */
	0,4,4,0x30,0x39,"\33F\33\33","\33F66",	/* form length */
	0,2,0,0,0,"\33N"	,"",		/* no escapement on next char */
	0,3,0,0,0,"\33\32\111"	,"",		/* printer reset */
	0,2,2,0,0,"\33A"	,"\33B",	/* ribbon control */
	0,4,0,0x30,0x39,"\33C\33\33","",	/* absolute horizontal tab */
	0,3,3,0x1,0x84,"\33\11\33","",		/* absolute horizontal tab */
	0,4,4,0x30,0x39,"\33P\33\33","",	/* absolute vertical tab */
	0,3,3,0x1,0x7a,"\33\13\33","",		/* absolute vertical tab */
	0,2,2,0,0,"\33\66"	,"\33\65",	/* backward/forward print */
	0,2,2,0,0,"\33I"	,"\33J",	/* proportional space */
	0,2,2,0,0,"\33_"	,"\33R",	/* underscore */
	0,2,2,0,0,"\33O"	,"\33&",	/* bold */
	0,2,2,0,0,"\33W"	,"\33&",	/* shadow */
	TABEND,1,1,0,0,"0","0" };

unsigned char 	escs[] = "\33 ";

char	cntlcd[] = "\13\21\23\30";
/**	\13,			vertical tab
	\21,			DC1
	\23,			DC3
	\30			cancel	**/
