
/*
 * "@(#) ramd $State: XENIX_R3-5 $ $Date: 86/05/30 13:10:52 $"
 */

/*
 * Copyright (C) 1983, 1984  Intel Corp.
 * 
 * INTEL CORPORATION PROPRIETARY INFORMATION
 *
 * This software is supplied under the terms of a license agreement
 * or nondisclosure agreement with Intel Corporation and may not be
 * copied or disclosed except in accordance with the terms of that
 * agreement.
 */

/*
 * RAM disk device driver include file
 * 
 * P Barrett 1/15/83
 */
struct	ramdcfg	{
		int	ramd_bcount;	/* block count */
		long	ramd_addr;	/* phys address of first blk */
		int	ramd_flag;	/* see defs below */
		};
struct	ramddev	{
		int	ramd_alive;	/* does it exist?? */
		int	ramd_open;	/* is it open?? */
		};

#define	TPATTERN	0xAAAA


/* Flag definitions for ramd_flags */
#define RAMD_NOFS	00		/* No file system present at
					   boot time */
#define RAMD_FS		01		/* A clean file system present
					   at boot time */
