
/*
 * "@(#) sd $State: XENIX_R3-5 $ $Date: 86/05/30 13:08:46 $"
 */

/*
 *	%Z% %M% %I% %D% %Q%
 *
 *	Copyright (C) Microsoft Corporation, 1983
 *
 *	This Module contains Proprietary Information of Microsoft
 *	Corporation and AT&T, and should be treated as Confidential.
 */
/*
 *	%Z% %M% %I% %D% %Q%
 */




/*
 * THIS FILE CONTAINS CODE WHICH IS DESIGNED TO BE
 * PORTABLE BETWEEN DIFFERENT MACHINE ARCHITECTURES
 * AND CONFIGURATIONS. IT SHOULD NOT REQUIRE ANY
 * MODIFICATIONS WHEN ADAPTING XENIX TO NEW HARDWARE.
 */

/* Modification History:
 *	rajiv	I000	12/20/84
 *		- integrated changes from Microsoft's 3.1. All over.
 *	rajiv	I001	01/03/85
 *		- DSA Update 1 changes. Word alignment of fileds.
 */



/* Shared Data flags */
#define	SD_RDONLY	0x00
#define	SD_WRITE	0x01
#define	SD_CREAT	0x02
#define	SD_UNLOCK	0x04
#define	SD_NOWAIT	0x08
#define	SD_LOCKED	0x10
#define	SD_NTFY		0x20
#define	SD_BTWN		0x40


#ifndef OLDSD
struct sd {                 /* shared data table */
	struct inode *sd_inode;	/* pointer to inode for segment */
	faddr_t	     sd_addr;	/* address in this procs data space */
	ushort       sd_vnum;	/* version # for local copy */
	char	     sd_flags;	/* describing state of this proc */
	char	     sd_res;	/* I001. Reserved field to word align NFS */
	struct sd    *sd_link;	/* ptr to next shared data seg for this proc */
};

extern struct sd sdtab[];	/* the shared data table itself */
#endif
